> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get a lead by ID

GET https://api.propexo.com/v1/leads/{id}

Get a lead by ID

Reference: https://docs.propexo.com/api-reference/rent-manager/leads/get-a-lead-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (Lead, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required) — The order of the results
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Lead

- `id` (string, required) — The Propexo unique identifier for the lead
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_created_at` (string, required, nullable) — The date the record first entered the integration vendor | Method | |---| | GET /Contacts |
- `x_guestcard_id` (any, required) — The external ID of the guestcard from the integration vendorThis field will always be null for RENTMANAGER
- `x_id` (string, required) — The external ID from the integration vendor | Method | | ---------------------------- | | GET /Contacts | | GET /Prospects/\{prospectId} |
- `x_leasing_agent_id` (any, required) — The external ID of the leasing agent from the integration vendorThis field will always be null for RENTMANAGER
- `x_property_id` (string, required) — The external ID of the property from the integration vendor | Method | | ---------------------------- | | GET /Contacts | | GET /Prospects/\{prospectId} |
- `x_unit_id_preferred` (list of string, required) — The external IDs of the units from the integration vendor that the lead is interested in | Method | |---| | GET /Contacts |
- `x_updated_at` (any, required) — The date the record was last updated in the integration vendorThis field will always be null for RENTMANAGER
- `x_lead_source_id` (string, required, nullable) — The external ID of the lead source from the integration vendor | Method | |---| | GET /Contacts |
- `address_1` (string, required, nullable) — The first address line associated with the lead | Method | |---| | GET /Contacts |
- `address_2` (any, required) — The second address line associated with the leadThis field will always be null for RENTMANAGER
- `city` (string, required, nullable) — The city associated with the lead | Method | |---| | GET /Contacts |
- `country` (any, required) — The country associated with the leadThis field will always be null for RENTMANAGER
- `custom_data` (LeadCustomData, required, nullable)
- `date_of_birth` (string, required, nullable) — The date of birth associated with the lead | Method | |---| | GET /Contacts |
- `desired_amenities` (any, required) — The desired amenities associated with the leadThis field will always be null for RENTMANAGER
- `desired_floor_plan_id` (any, required) — The external ID of desired floor plan associated with the leadThis field will always be null for RENTMANAGER
- `desired_floor_plan_name` (any, required) — The desired floor plan nameThis field will always be null for RENTMANAGER
- `desired_lease_term_in_months` (any, required) — The desired lease termThis field will always be null for RENTMANAGER
- `desired_max_rent_in_cents` (double, required, nullable) — The desired maximum rentHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Method | | ---------------------------- | | GET /Prospects/\{prospectId} |
- `desired_max_square_ft` (any, required) — The desired maximum square feetThis field will always be null for RENTMANAGER
- `desired_min_rent_in_cents` (double, required, nullable) — The desired minimum rentHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Method | | ---------------------------- | | GET /Prospects/\{prospectId} |
- `desired_min_square_ft` (any, required) — The desired minimum square feetThis field will always be null for RENTMANAGER
- `desired_num_bathrooms` (double, required, nullable) — The desired number of bathroomsHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Method | | ---------------------------- | | GET /Prospects/\{prospectId} |
- `desired_num_bedrooms` (integer, required, nullable) — The desired number of bedroomsHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Method | | ---------------------------- | | GET /Prospects/\{prospectId} |
- `desired_unit_number` (any, required) — The desired unit numberThis field will always be null for RENTMANAGER
- `desired_unit_type` (any, required) — The desired unit typeThis field will always be null for RENTMANAGER
- `email_1` (string, required, nullable) — The primary email address associated with the lead | Method | |---| | GET /Contacts |
- `email_2` (any, required) — The secondary email address associated with the leadThis field will always be null for RENTMANAGER
- `first_name` (string, required, nullable) — The first name associated with the lead | Method | |---| | GET /Contacts |
- `ils` (any, required) — The name of the Internet listing serviceThis field will always be null for RENTMANAGER
- `last_name` (string, required, nullable) — The last name associated with the lead | Method | |---| | GET /Contacts |
- `lead_source` (any, required) — The lead sourceThis field will always be null for RENTMANAGER
- `leasing_agent` (any, required) — The name of the leasing agentThis field will always be null for RENTMANAGER
- `middle_name` (string, required, nullable) — The middle name associated with the lead | Method | |---| | GET /Contacts |
- `notes` (string, required, nullable) — Notes associated with the lead | Method | |---| | GET /Contacts |
- `number_of_occupants` (any, required) — The number of occupantsThis field will always be null for RENTMANAGER
- `pets` (list of LeadPetsItems, required) — The pets associated with the leadThis field is not currently hydrated for RENTMANAGER
- `phone_1_type` (string, required, nullable) — Type of the primary phone number | Method | |---| | GET /Contacts |
- `phone_1` (string, required, nullable) — Primary phone number associated with the lead | Method | |---| | GET /Contacts |
- `phone_2_type` (string, required, nullable) — Type of the secondary phone number | Method | |---| | GET /Contacts |
- `phone_2` (string, required, nullable) — Secondary phone number associated with the lead | Method | |---| | GET /Contacts |
- `state` (string, required, nullable) — The state associated with the lead | Method | |---| | GET /Contacts |
- `status` (string, required, nullable) — The raw status associated with the lead | Method | |---| | GET /Contacts |
- `target_move_in_date` (string, required, nullable) — The target move in dateHydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable. | Method | | ---------------------------- | | GET /Prospects/\{prospectId} |
- `zip` (string, required, nullable) — The zip code associated with the lead | Method | |---| | GET /Contacts |
- `property_id` (string, required) — The Propexo unique identifier for the property
- `lead_source_id` (string, required, nullable) — The Propexo unique identifier for the lead source | Method | |---| | GET /Contacts |
- `unit_id_preferred` (list of string, required) — The Propexo unique identifiers for the units that the lead is interested in | Method | |---| | GET /Contacts |
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `RENTMANAGER`, `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `screenings` (list of LeadScreeningsItems, required) — This field is not currently hydrated for RENTMANAGER
- `x_unit_id` (any, required, deprecated) — DEPRECATED: Use x\_unit\_id\_preferred insteadThis field will always be null for RENTMANAGER
- `pet_details` (any, required, deprecated) — DEPRECATED: Use the pets array insteadThis field will always be null for RENTMANAGER

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### LeadCustomData

### LeadPetsItems

- `id` (string, required) — The Propexo unique identifier for the lead pet
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `age_in_years` (double, required, nullable) — The age in years of the lead petThis field is not currently hydrated for RENTMANAGER
- `breed` (string, required, nullable) — The breed of the lead petThis field is not currently hydrated for RENTMANAGER
- `color` (string, required, nullable) — The color of the lead petThis field is not currently hydrated for RENTMANAGER
- `gender_raw` (string, required, nullable) — The raw value for the gender of the lead petThis field is not currently hydrated for RENTMANAGER
- `is_fixed` (boolean, required, nullable) — Whether the lead pet is fixedThis field is not currently hydrated for RENTMANAGER
- `is_service_animal` (boolean, required, nullable) — Whether the lead pet is a service animalThis field is not currently hydrated for RENTMANAGER
- `name` (string, required, nullable) — The name associated with the lead petThis field is not currently hydrated for RENTMANAGER
- `notes` (string, required, nullable) — Notes associated with the lead petThis field is not currently hydrated for RENTMANAGER
- `type` (string, required, nullable) — The type associated with the lead petThis field is not currently hydrated for RENTMANAGER
- `weight_in_pounds` (double, required, nullable) — The weight in pounds of the lead petThis field is not currently hydrated for RENTMANAGER
- `custom_data` (LeadPetsItemsCustomData, required, nullable)

### LeadScreeningsItems

- `id` (string, required) — The Propexo ID of the screening
- `created_at` (string, required) — The date record first entered Propexo
- `last_seen` (string, required) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `status_raw` (string, required, nullable) — The status/results of the screeningThis field is not currently hydrated for RENTMANAGER
- `screening_date` (string, required, nullable) — The date the screening took placeThis field is not currently hydrated for RENTMANAGER

### LeadPetsItemsCustomData

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "clwktsp9v000008l31iv218hn",
    "created_at": "2024-03-21T15:38:08.337Z",
    "updated_at": "2024-03-22T10:59:45.119Z",
    "last_seen": "2024-03-22T10:59:45.119Z",
    "x_created_at": "2022-02-28T17:05:43.000Z",
    "x_guestcard_id": null,
    "x_id": "rm-987654321",
    "x_leasing_agent_id": null,
    "x_property_id": "rm-property-12345",
    "x_unit_id_preferred": [
      "unit-123"
    ],
    "x_updated_at": null,
    "x_lead_source_id": "leadsource-1",
    "address_1": "123 Main St",
    "address_2": null,
    "city": "Boston",
    "country": null,
    "custom_data": {},
    "date_of_birth": "1985-07-15",
    "desired_amenities": null,
    "desired_floor_plan_id": null,
    "desired_floor_plan_name": null,
    "desired_lease_term_in_months": null,
    "desired_max_rent_in_cents": 260000,
    "desired_max_square_ft": null,
    "desired_min_rent_in_cents": 120000,
    "desired_min_square_ft": null,
    "desired_num_bathrooms": 2,
    "desired_num_bedrooms": 2,
    "desired_unit_number": null,
    "desired_unit_type": null,
    "email_1": "sally.jones@example.com",
    "email_2": null,
    "first_name": "Sally",
    "ils": null,
    "last_name": "Jones",
    "lead_source": null,
    "leasing_agent": null,
    "middle_name": "Gail",
    "notes": "Interested in a 2-bedroom unit with pet-friendly policy.",
    "number_of_occupants": null,
    "pets": [
      {
        "id": "clwktsp9v000008l31iv218hn-pet1",
        "created_at": "2024-03-21T15:38:08.337Z",
        "updated_at": "2024-03-22T10:59:45.119Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "x_id": "pet-001",
        "age_in_years": 3,
        "breed": "Golden Retriever",
        "color": "Golden",
        "gender_raw": "Female",
        "is_fixed": true,
        "is_service_animal": false,
        "name": "Bella",
        "notes": "Very friendly and well-trained.",
        "type": "Dog",
        "weight_in_pounds": 65,
        "custom_data": {}
      }
    ],
    "phone_1_type": "MOBILE",
    "phone_1": "(617) 555-1234",
    "phone_2_type": "HOME",
    "phone_2": "(617) 555-5678",
    "state": "MA",
    "status": "New Lead",
    "target_move_in_date": "2025-01-01T00:00:00.000Z",
    "zip": "02116",
    "property_id": "clwi5xiix000008l6ctdgafyh",
    "lead_source_id": "testintegration:na:1:1",
    "unit_id_preferred": [
      "testintegration:na:1:123"
    ],
    "integration_id": "clwh5u07w000508me66sfh3um",
    "integration_vendor": "RENTMANAGER",
    "screenings": [
      {
        "id": "clwktsp9v000008l31iv218hn-screening1",
        "created_at": "2024-03-21T15:38:08.337Z",
        "last_seen": "2024-03-22T10:59:45.119Z",
        "x_id": "screening-001",
        "status_raw": "Pending",
        "screening_date": "2024-03-20T12:00:00.000Z"
      }
    ],
    "x_unit_id": null,
    "pet_details": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leads/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leads/id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leads/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leads/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/leads/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/leads/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leads/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leads/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```